Subject: FW: Interview Request – Master's Thesis Research on EU Digital Identity and the Business Identity Wallet
From: "info - MKM" <[email-masked]>
To: "Justiits- ja Digiministeerium" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 7 Apr 2026 08:35:49 +0300

Tere

Edastame kuuluvuselt Justiits- ja Digiministeeriumile.

Heade soovidega

Majandus- ja Kommunikatsiooniministeerium

From: Jesus Abraham Romero Pereyra <[email-masked]>
Sent: Monday, April 6, 2026 5:10 PM
To: Jesus Abraham Romero Pereyra <[email-masked]>
Subject: Interview Request – Master's Thesis Research on EU Digital
Identity and the Business Identity Wallet

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.

Hello,

My name is Jesús Abraham Romero Pereyra, and I am currently writing my
Master's thesis on the governance of the EU's emerging digital identity
framework and the Business Identity Wallet (BIW).

My research examines how EU digital identity initiatives — and the BIW in
particular — may be implemented within national administrative systems and
public procurement procedures. I am studying how these tools could help
reduce administrative duplication for SMEs participating in cross-border
public procurement, and how governance arrangements between EU and
national authorities shape their implementation. Estonia's experience with
digital identity infrastructure makes it a central case study in my
research, and I am keen to include perspectives from Estonian
institutions.

I would greatly appreciate the opportunity to conduct a short interview
(45–60 minutes) with a representative from your organization. The
interview would focus on topics such as:

• The allocation of responsibilities for EUDI and BIW implementation
across EU and national levels

• The role of national authorities in enabling cross-border recognition of
business credentials

• Coordination between digital identity governance and public procurement
policy

• Key institutional challenges in reducing administrative burdens for SMEs

The interview would be semi-structured and conducted online (MS Teams).
With your consent, it would be recorded solely for transcription purposes
and handled in full compliance with EU data protection rules.

I would be happy to adapt to your availability over the coming weeks.

If you are not the appropriate contact person for these topics, I would be
very grateful if you could forward this request to the colleague
responsible for digital identity, public procurement, or cross-border
cooperation.

Thank you very much for considering this request.

Kind regards,

Jesús Romero

Master's Programme in Public Sector Innovation and eGovernance